MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026219Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-05-13 17:592015-10-23 20:51
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
DescriptionSimplification does not work on the attached shape (a lot of faces can be principally simplified in the provided solid): exception is thrown.

Note for QA: please, make sure that the provided tcl script is integrated to OCCT non-regression database as it provides complex testing of Booleans.
Steps To Reproducesource gehause_rohteil.tcl
TagsNo tags attached.
Test case numberbugs heal bug26219_gehause_rohteil, bug26219_1
Attached Files? file icon gehause_rohteil.tcl (7,437 bytes) 2015-05-14 11:21
png file icon incident_26219_1.png (20,013 bytes) 2015-05-14 11:24
? file icon UnifySameDomain.valid_input.brep (94,488 bytes) 2015-06-23 18:02

- Relationships

-  Notes
(0041532)
git (administrator)
2015-05-25 20:45

Branch CR26219 has been created by isn.

SHA-1: 8797f3414910f44ae4180d0404b9ea33765d7148


Detailed log of new commits:

Author: isn
Date: Mon May 25 16:40:21 2015 +0300

    0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
(0041533)
isn (developer)
2015-05-25 20:48

please review branch CR26219
(0041650)
msv (developer)
2015-05-28 12:52

Reviewed.
(0041687)
mkv (tester)
2015-05-28 18:23

Dear isn,
could you please rebase CR26219 on IR-2015-05-28 branch, there are conflict files.
(0041700)
git (administrator)
2015-05-29 11:00

Branch CR26219_1 has been created by isn.

SHA-1: 0c624b1f4b1bf1453ff77cd6a8f467621f7653a0


Detailed log of new commits:

Author: isn
Date: Fri May 29 10:43:24 2015 +0300

    0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
(0041701)
isn (developer)
2015-05-29 11:01

Dear mkv,
Please check new branch CR26219_1
(0041737)
git (administrator)
2015-05-29 15:23

Branch CR26219_1 has been updated forcibly by mkv.

SHA-1: cae57d11a3544b1c41deb22e7be1ea931e2729c2
(0041821)
mkv (tester)
2015-06-01 20:56

Dear BugMaster,
Branch CR26219_1 was rebased on current master of occt git-repository.
SHA-1: cae57d11a3544b1c41deb22e7be1ea931e2729c2
(0041822)
mkv (tester)
2015-06-01 20:57

Dear BugMaster,
Branch CR26219_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cae57d11a3544b1c41deb22e7be1ea931e2729c2

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26219-1-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26219-1-master-occt-64/Windows-64-VC10/summary.html [^]
bugs modalg_2 bug23367_2, bug23367_3, bug23367_7, bug23367_12

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 96927777 / 96959023 [-0.03%]
Total CPU difference: 18063.13999999998 / 18509.060000000085 [-2.41%]
products component :
Total MEMORY difference: 23919673 / 24082869 [-0.68%]
Total CPU difference: 7689.030000000016 / 7841.8200000000215 [-1.95%]

Testing on Windows:
occt component :
Total MEMORY difference: 56966223 / 56795699 [+0.30%]
Total CPU difference: 17748.45217139928 / 17417.16844779882 [+1.90%]
products component :
Total MEMORY difference: 15395388 / 15399387 [-0.03%]
Total CPU difference: 6204.54977249999 / 6256.747707099968 [-0.83%]

There are no differences in images found by testdiff.
(0042073)
git (administrator)
2015-06-10 10:34

Branch CR26219_2 has been created by isn.

SHA-1: 79fce88adb93de0be70a1be15e7785f07871a568


Detailed log of new commits:

Author: isn
Date: Fri May 29 10:43:24 2015 +0300

    0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
(0042074)
isn (developer)
2015-06-10 10:37

Dear jgv,
please review branch CR26219_2
(0042088)
msv (developer)
2015-06-10 16:17

I have made verbal remarks concerning usage of map instead of sequence.
(0042094)
git (administrator)
2015-06-10 18:09

Branch CR26219_2 has been updated by isn.

SHA-1: 4c3ee3fc87ca01e5a5589eb9dc2b2448c0ec8d6a


Detailed log of new commits:

Author: isn
Date: Wed Jun 10 16:13:28 2015 +0300

    0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
    map have been added

(0042095)
msv (developer)
2015-06-10 19:23

It is correct, but small remarks:

- the line 1247: TopTools_IndexedMapOfShape aMapOfEdges;
It is better to use in this case TopTools_MapOfShape, because it has more light structure.
- please make proper indent of lines 1246-1253.
(0042100)
git (administrator)
2015-06-11 10:01

Branch CR26219_2 has been updated by isn.

SHA-1: 676440cb53fb8fda40f593b0b7d7560aa51017ec


Detailed log of new commits:

Author: isn
Date: Thu Jun 11 09:58:30 2015 +0300

    0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
    small remarks

(0042101)
isn (developer)
2015-06-11 10:01

>>It is correct, but small remarks:
done.
(0042104)
msv (developer)
2015-06-11 11:52

Reviewed.
(0042117)
git (administrator)
2015-06-11 18:41

Branch CR26219_2 has been updated forcibly by mkv.

SHA-1: c552ec1d768cc45b6414562e2ff0556eb4062f80
(0042140)
mkv (tester)
2015-06-15 13:44

Dear BugMaster,
Branch CR26219_2 was rebased on current master of occt git-repository.
SHA-1: c552ec1d768cc45b6414562e2ff0556eb4062f80
(0042141)
mkv (tester)
2015-06-15 13:44

Dear BugMaster,
Branch CR26219_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c552ec1d768cc45b6414562e2ff0556eb4062f80

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26219-2-master-occt-64/Debian70-64/bugs/heal/bug26219_gehause_rohteil.html [^]
http://occt-tests/CR26219-2-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_gehause_rohteil.html [^]
bugs heal bug26219_gehause_rohteil: OK

Testing on Linux:
occt component :
Total MEMORY difference: 97146970 / 97591024 [-0.46%]
Total CPU difference: 18346.789999999983 / 18382.480000000083 [-0.19%]
products component :
Total MEMORY difference: 24160860 / 24348056 [-0.77%]
Total CPU difference: 7985.330000000019 / 7869.770000000022 [+1.47%]
Testing on Windows:
occt component :
Total MEMORY difference: 56769505 / 56662651 [+0.19%]
Total CPU difference: 17379.353805398834 / 17127.70859229894 [+1.47%]
products component :
Total MEMORY difference: 15542839 / 15546897 [-0.03%]
Total CPU difference: 6312.440064099973 / 6189.043273099954 [+1.99%]

There are no differences in images found by testdiff.
(0042142)
mkv (tester)
2015-06-15 13:45

Dear isn,
could you please review following test case
bugs heal bug26219_gehause_rohteil
(0042144)
git (administrator)
2015-06-15 13:46

Branch CR26219_2 has been updated by mkv.

SHA-1: 1c8cfca5fbc0455edd3b1b2c112fb735557883d8


Detailed log of new commits:

Author: mkv
Date: Mon Jun 15 13:43:45 2015 +0300

    Test case for issue CR26219

(0042150)
isn (developer)
2015-06-15 18:00

reviewed
(0042151)
mkv (tester)
2015-06-15 18:15

OK.
Branch CR26219_2 is TESTED.
(0042379)
git (administrator)
2015-06-23 18:02

Branch CR26219_2 has been updated by msv.

SHA-1: bc528a851957b0dfa3e25afbaebbac6d77be4703


Detailed log of new commits:

Author: msv
Date: Tue Jun 23 18:01:39 2015 +0300

    Fix the problem when merged edges have different location.

(0042380)
msv (developer)
2015-06-23 18:03

The attached file UnifySameDomain.valid_input.brep shows more problem in the algorithm.
(0042381)
git (administrator)
2015-06-23 18:08

Branch CR26219_3 has been created by msv.

SHA-1: 4fd392f4bb7a65698057010320812257362257eb


Detailed log of new commits:

Author: isn
Date: Fri May 29 10:43:24 2015 +0300

    0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception
    
    Avoid merging edges if the collapsed vertex has a third connected edge.
    Fix the problem when merged edges have different location.
    Test case for issue CR26219
(0042382)
msv (developer)
2015-06-23 18:10

The new problem has been fixed.
Please test again.
Please create a new test case for new shape.
(0042396)
git (administrator)
2015-06-24 09:59

Branch CR26219_3 has been updated by msv.

SHA-1: e030acaa041083aa660bbf04a31636f80fcc8600


Detailed log of new commits:

Author: msv
Date: Wed Jun 24 09:58:27 2015 +0300

    Additional fix to improve robustness.

(0042397)
msv (developer)
2015-06-24 10:02

Dear MKV, please make new build and test from the last commit. Sorry for additional inconvenience.
(0042438)
mkv (tester)
2015-06-25 12:46

Dear BugMaster,
Branch CR26219_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e030acaa041083aa660bbf04a31636f80fcc8600

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26219-3-master-occt-64/Debian70-64/bugs/heal/bug26219_gehause_rohteil.html [^]
http://occt-tests/CR26219-3-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_gehause_rohteil.html [^]
bugs heal bug26219_gehause_rohteil: OK

http://occt-tests/CR26219-3-master-occt-64/Debian70-64/bugs/heal/bug26219_1.html [^]
http://occt-tests/CR26219-3-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_1.html [^]
bugs heal bug26219_1: OK

Testing on Linux:
occt component :
Total MEMORY difference: 98090738 / 98155034 [-0.07%]
Total CPU difference: 18285.35000000009 / 18514.57000000014 [-1.24%]
products component :
Total MEMORY difference: 24195607 / 24306506 [-0.46%]
Total CPU difference: 7798.52000000001 / 7856.900000000035 [-0.74%]

Testing on Windows:
occt component :
Total MEMORY difference: 57150186 / 56655413 [+0.87%]
Total CPU difference: 17035.93320399919 / 17590.126756498837 [-3.15%]
products component :
Total MEMORY difference: 15546690 / 15550884 [-0.03%]
Total CPU difference: 6879.784500899997 / 6414.932721099968 [+7.25%]

There are no differences in images found by testdiff.
(0042439)
git (administrator)
2015-06-25 12:46

Branch CR26219_3 has been updated by mkv.

SHA-1: c88c292846a081e678c9bbb43d66cfac00ab3cea


Detailed log of new commits:

Author: mkv
Date: Thu Jun 25 12:45:00 2015 +0300

    Test cases for issue CR26219

(0042440)
mkv (tester)
2015-06-25 12:47

Dear msv,
could you please review following test cases
bugs heal bug26219_gehause_rohteil, bug26219_1
(0042441)
git (administrator)
2015-06-25 13:06

Branch CR26219_3 has been updated by mkv.

SHA-1: c83e4ceda7b5f1028936d33636319e31f350b569


Detailed log of new commits:

Author: mkv
Date: Thu Jun 25 13:06:24 2015 +0300

    Small correction of test cases for issue CR26219

(0042445)
msv (developer)
2015-06-25 14:09

OK.
(0044218)
git (administrator)
2015-08-14 10:57

Branch CR26219_3 has been deleted by inv.

SHA-1: c83e4ceda7b5f1028936d33636319e31f350b569
(0044221)
git (administrator)
2015-08-14 10:58

Branch CR26219_2 has been deleted by inv.

SHA-1: bc528a851957b0dfa3e25afbaebbac6d77be4703
(0044252)
git (administrator)
2015-08-14 10:59

Branch CR26219_1 has been deleted by inv.

SHA-1: cae57d11a3544b1c41deb22e7be1ea931e2729c2
(0044260)
git (administrator)
2015-08-14 11:00

Branch CR26219 has been deleted by inv.

SHA-1: 8797f3414910f44ae4180d0404b9ea33765d7148

- Related Changesets
occt: master b4d4dbe8
Timestamp: 2015-06-25 11:47:00
Author: isn
Committer: bugmaster
Details ] Diff ]
0026219: ShapeUpgrade_UnifySameDomain fails with StdFail_NotDone exception

Avoid merging edges if the collapsed vertex has a third connected edge.
Fix the problem when merged edges have different location.
Test case for issue CR26219

Additional fix to improve robustness.

Test cases for issue CR26219

Small correction of test cases for issue CR26219
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
add - tests/bugs/heal/bug26219_1 Diff ] File ]
add - tests/bugs/heal/bug26219_gehause_rohteil Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-13 17:59 ssv New Issue
2015-05-13 17:59 ssv Assigned To => msv
2015-05-13 17:59 ssv File Added: gehause_rohteil.brep
2015-05-14 11:04 msv Target Version 7.0.0 => 7.1.0
2015-05-14 11:21 ssv File Added: gehause_rohteil.tcl
2015-05-14 11:22 ssv Description Updated View Revisions
2015-05-14 11:22 ssv Steps to Reproduce Updated View Revisions
2015-05-14 11:24 ssv File Added: incident_26219_1.png
2015-05-20 15:01 ssv File Deleted: gehause_rohteil.brep
2015-05-25 12:11 msv Assigned To msv => isn
2015-05-25 12:11 msv Status new => assigned
2015-05-25 20:45 git Note Added: 0041532
2015-05-25 20:46 isn Assigned To isn => msv
2015-05-25 20:46 isn Status assigned => resolved
2015-05-25 20:46 isn Steps to Reproduce Updated View Revisions
2015-05-25 20:48 isn Steps to Reproduce Updated View Revisions
2015-05-25 20:48 isn Note Added: 0041533
2015-05-26 13:10 msv Steps to Reproduce Updated View Revisions
2015-05-28 12:52 msv Note Added: 0041650
2015-05-28 12:52 msv Assigned To msv => bugmaster
2015-05-28 12:52 msv Status resolved => reviewed
2015-05-28 18:23 mkv Note Added: 0041687
2015-05-28 18:23 mkv Assigned To bugmaster => isn
2015-05-28 18:23 mkv Status reviewed => feedback
2015-05-29 11:00 git Note Added: 0041700
2015-05-29 11:01 isn Note Added: 0041701
2015-05-29 11:01 isn Assigned To isn => mkv
2015-05-29 15:23 git Note Added: 0041737
2015-06-01 20:56 mkv Note Added: 0041821
2015-06-01 20:57 mkv Note Added: 0041822
2015-06-01 20:57 mkv Assigned To mkv => isn
2015-06-01 20:57 mkv Status feedback => assigned
2015-06-10 10:34 git Note Added: 0042073
2015-06-10 10:37 isn Note Added: 0042074
2015-06-10 10:37 isn Assigned To isn => jgv
2015-06-10 10:37 isn Status assigned => resolved
2015-06-10 16:17 msv Note Added: 0042088
2015-06-10 16:17 msv Assigned To jgv => isn
2015-06-10 16:17 msv Status resolved => assigned
2015-06-10 18:09 git Note Added: 0042094
2015-06-10 18:16 isn Assigned To isn => msv
2015-06-10 18:16 isn Status assigned => feedback
2015-06-10 18:57 msv Status feedback => resolved
2015-06-10 19:23 msv Note Added: 0042095
2015-06-10 19:23 msv Assigned To msv => isn
2015-06-10 19:23 msv Status resolved => assigned
2015-06-11 10:01 git Note Added: 0042100
2015-06-11 10:01 isn Note Added: 0042101
2015-06-11 10:02 isn Assigned To isn => msv
2015-06-11 10:02 isn Status assigned => feedback
2015-06-11 11:52 msv Note Added: 0042104
2015-06-11 11:52 msv Assigned To msv => bugmaster
2015-06-11 11:52 msv Status feedback => reviewed
2015-06-11 15:53 mkv Assigned To bugmaster => mkv
2015-06-11 18:41 git Note Added: 0042117
2015-06-15 13:44 mkv Note Added: 0042140
2015-06-15 13:44 mkv Note Added: 0042141
2015-06-15 13:45 mkv Note Added: 0042142
2015-06-15 13:45 mkv Assigned To mkv => isn
2015-06-15 13:45 mkv Status reviewed => feedback
2015-06-15 13:45 mkv Test case number => bugs heal bug26219_gehause_rohteil
2015-06-15 13:46 git Note Added: 0042144
2015-06-15 18:00 isn Note Added: 0042150
2015-06-15 18:00 isn Assigned To isn => mkv
2015-06-15 18:00 isn Status feedback => reviewed
2015-06-15 18:15 mkv Note Added: 0042151
2015-06-15 18:15 mkv Assigned To mkv => bugmaster
2015-06-15 18:15 mkv Status reviewed => tested
2015-06-23 18:02 git Note Added: 0042379
2015-06-23 18:02 msv File Added: UnifySameDomain.valid_input.brep
2015-06-23 18:03 msv Note Added: 0042380
2015-06-23 18:03 msv Assigned To bugmaster => msv
2015-06-23 18:03 msv Status tested => assigned
2015-06-23 18:08 git Note Added: 0042381
2015-06-23 18:10 msv Note Added: 0042382
2015-06-23 18:10 msv Status assigned => resolved
2015-06-23 18:10 msv Assigned To msv => bugmaster
2015-06-23 18:10 msv Status resolved => reviewed
2015-06-23 18:35 mkv Assigned To bugmaster => mkv
2015-06-24 09:59 git Note Added: 0042396
2015-06-24 10:02 msv Note Added: 0042397
2015-06-25 12:46 mkv Note Added: 0042438
2015-06-25 12:46 git Note Added: 0042439
2015-06-25 12:47 mkv Note Added: 0042440
2015-06-25 12:47 mkv Assigned To mkv => msv
2015-06-25 12:47 mkv Status reviewed => feedback
2015-06-25 12:47 mkv Test case number bugs heal bug26219_gehause_rohteil => bugs heal bug26219_gehause_rohteil, bug26219_1
2015-06-25 13:06 git Note Added: 0042441
2015-06-25 14:09 msv Note Added: 0042445
2015-06-25 14:09 msv Assigned To msv => bugmaster
2015-06-25 14:09 msv Status feedback => reviewed
2015-06-25 14:55 mkv Status reviewed => tested
2015-06-26 13:42 bugmaster Changeset attached => occt master b4d4dbe8
2015-06-26 13:42 bugmaster Status tested => verified
2015-06-26 13:42 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:57 git Note Added: 0044218
2015-08-14 10:58 git Note Added: 0044221
2015-08-14 10:59 git Note Added: 0044252
2015-08-14 11:00 git Note Added: 0044260
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker